Float_t Angle(Float_t Pxpar, Float_t Pypar) {          

   Float_t Ptpar,Phipar;

   Ptpar=TMath::Sqrt(Pxpar*Pxpar+Pypar*Pypar);

   if(Pxpar/Ptpar<0.8 || Pxpar/Ptpar>-0.8 ){
      Phipar=TMath::Sign(Pypar)*TMath::ACos(Pxpar/Ptpar);
   } else {
      Phipar=TMath::ASin(Pypar/Ptpar);
      if(Pxpar<0 || Phipar>0) Phipar=Pi - Phipar;
      else if (Pxpar<0)Phipar= - Pi - Phipar;
   }
   return Phipar;        
}

Float_t Eta(Float_t Ptpar, Float_t Pzpar) {

   Float_t Etapar;         

   Etapar= TMath::Sign(Pzpar)*TMath::Abs(TMath::Log(
          (TMath::Sqrt(Ptpar*Ptpar+Pzpar*Pzpar)+TMath::Abs(Pzpar))
          /Ptpar ));

   return Etapar;

}
